package com.steering.pss.qcm.DAL;

import com.steering.comm.db.DBCommon;
import com.steering.comm.tools.EntityTool;
import com.steering.pss.qcm.model.ComBaseGradeEntity;
import CoreFS.SA06.CoreReturnObject;
import CoreFS.SA08.CoreXmlSqlParsersFactory;

public class ComBaseGradeDAL extends DBCommon{
	
	/**
	 * 查询钢种
	 * @param strBaseGradeJSON
	 * @return
	 */
	public CoreReturnObject query(String strBaseGradeJSON){
		ComBaseGradeEntity baseGradeEntity = EntityTool.getEntityByJSONStr(strBaseGradeJSON, ComBaseGradeEntity.class);
		String sql = CoreXmlSqlParsersFactory.getSql("ComBaseGradeDAL.query");
		sql = EntityTool.fillSqlByEntity(sql, baseGradeEntity);
		return this.getData(sql);
	}
}
